RUNOVERSSH(1)

NAME
runoverssh - POSIX-compliant shell script for easily running shell commands and scripts over SSH

SYNOPSIS
runoverssh [OPTIONS] USERNAME COMMAND HOSTS...

DESCRIPTION
runoverssh POSIX-compliant shell script for easily running shell commands and scripts over SSH.

OPTIONS

-g, --globalpw
    Prompt a global password for all connections

-s, --script [file]
    Read commands from a script file, disables the default COMMAND argument

-r, --hostsfile [file]
    Read the list of hosts from a file (one host per line), disables the default HOSTS argument

-a, --args [args]
    Arguments (in a single string) to be passed to the script file.

-q, --quiet
    Disable all screen output, except for password prompts. If logfile is set, output is written there

-v, --verbose
    Print verbose messages

--shell [shell]
    Remote shell to be used. Supported values: sh, bash. Default: bash

--shellflags [shellflags]
    Remote shell flags. Default: ''

--sshflags [shellflags]
    Local SSH flags. Default: -o ConnectTimeout=5
             -o StrictHostKeyChecking=no
             -o UserKnownHostsFile=/dev/null

--logfile [file]
    Append SSH output to a file

AUTHOR
runoverssh was written by Yuri Escalianti.